Bug 6872 - Kernel panic при выходе из X в ядре 2.6.11-std26-up-alt10
: Kernel panic при выходе из X в ядре 2.6.11-std26-up-alt10
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std26-up)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-17 07:27 by
Modified: 2005-08-31 03:26 (History)


Attachments
kernel-modules-drm_kernel-std26-up-2.6.11-alt10.i586.rpm (160.27 KB, application/octet-stream)
2005-05-17 20:23, Sergey Vlasov
no flags Details
oops (3.79 KB, application/octet-stream)
2005-05-21 15:17, Sergey Bolshakov
no flags Details
kernel-modules-drm-std26-up-2005.05.13-alt1.test2.10.i586.rpm (201.15 KB, application/octet-stream)
2005-05-21 20:39, Sergey Vlasov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-17 07:27:56
1 Проявилась только на машине с материнской платой Intel 865 с  
встроенной графической картой (дома стоит совсем другая материнка -  
такого нет). 
2 Проявляется только на последнем ядре 2.6.11-std26-up-alt10 (На  
2.6.11-std26-up-alt6 не проявлялась, на wks26-up то-же не проявляется) 

При выходе из X-в происходит kernel-panic, перед этим идёт "несколько  
экранов" сообщений, как я понял, о нарушении работы ядра (какие-то  
адреса и сообщения как в strace) . Пытался сбросить сообщения в файл -  
ничего не получилось :(:( - в файле только сообщения о входе в X-ы.  
Проявляется независимо от runlevel и пользователя, не зависит от  
менеджера окон - проявляется даже при загрузке чистых X (например  
команды X).
------- Comment #1 From 2005-05-17 19:48:44 -------
В 2.6.11-alt9 существенно поменялись модули drm...

Желательно всё-таки вытащить сообщения ядра, но для получения полных данных,
скорее всего, понадобится serial console.  Ну хотя бы текст, который остаётся на
экране (имена из backtrace и текст panic).  Можно попробовать выполнить перед
запуском X что-то вроде setfont UniCyr_8x8, чтобы на экран влезло побольше (а
вот использование vesafb тут зачастую мешает).
------- Comment #2 From 2005-05-17 20:23:45 -------
Created an attachment (id=891) [details]
kernel-modules-drm_kernel-std26-up-2.6.11-alt10.i586.rpm

Можно попробовать установить этот пакет вместо
kernel-modules-drm-std26-up-2005.05.13-alt1.10 - это версия модулей DRM,
которая собиралась раньше.  Только там пропущены скрипты установки/удаления -
нужно будет вручную вызвать depmod -a.

Если с этими модулями kernel panic не будет появляться, значит, дело
действительно в DRM.
------- Comment #3 From 2005-05-18 09:43:13 -------
да, дело в DRM. у меня такое на i852
------- Comment #4 From 2005-05-18 14:02:13 -------
(In reply to comment #3)
> да, дело в DRM. у меня такое на i852

А oops оттуда вытянуть никак?
------- Comment #5 From 2005-05-19 17:25:37 -------
боюсь что это невозможно. я вот уже несколько минут смотрю на 12 консоль на
которой какой то бесконечный... и назвать то не знаю как
------- Comment #6 From 2005-05-20 09:02:15 -------
Это из-за DRM. 
1 Если убрать из системы модуль DRM, то зависания не наступает.
2 С Вашим модулем  kernel-modules-drm_kernel-std26-up-2.6.11-alt10.i586.rpm -
то-же не происходит зависания.
3 Вчера смотрел на выход из X-в. Вывод сообщений измерялся минутами (я успел
покурить, а сообщения ещё сыпались) и их вывод настолько быстр, что можно
уловить тольк повторяющмеся сообщения. Вначале  мелькнула фраза, что что-то надо
перезагрузить, потом пошел какаой-то цикл с перебором памяти (мелькали сообщения
об page 0xC11.... причем адреса постепенно изменялись вначале 0xc1117... потом
0xc1118... и т.д. ) Когда всё остановилось то было сообщение о том что CPU=0
*pts=0 *pde=0a2dfo6f  oops=0000 (#25)
------- Comment #7 From 2005-05-21 15:17:16 -------
Created an attachment (id=900) [details]
oops

выжимка из /var/log/messages
------- Comment #8 From 2005-05-21 16:45:43 -------
https://bugs.freedesktop.org/show_bug.cgi?id=3217
------- Comment #9 From 2005-05-21 20:39:22 -------
Created an attachment (id=901) [details]
kernel-modules-drm-std26-up-2005.05.13-alt1.test2.10.i586.rpm

Вроде бы ошибка обнаружена - пожалуйста, проверьте вот эту версию модулей.
Попутно в этой же части кода нашлась и утечка памяти.
------- Comment #10 From 2005-05-23 23:38:03 -------
Эта версия не вываливается. 
 
 
------- Comment #11 From 2005-05-30 16:39:47 -------
Fixed in kernel-source-drm-2005.05.30-2005.05.30-alt1,
kernel-modules-drm-std26-{up,smp}-2005.05.30-alt1.10.
------- Comment #12 From 2005-06-04 11:24:26 -------
*** Bug 6999 has been marked as a duplicate of this bug. ***